﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinCalcManager;

namespace UltraGridWithSummaryCalcManager
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            ultraGrid1.DisplayLayout.Bands[0].Summaries.Add("GrandSummaryKey", Infragistics.Win.UltraWinGrid.SummaryType.Formula, ultraGrid1.DisplayLayout.Bands[0].Columns["B"]);
            ultraGrid1.DisplayLayout.Bands[0].Summaries[0].Formula = "SUM([" + ultraGrid1.DisplayLayout.Bands[0].Columns["B"].Key + "])";
            ultraGrid1.DisplayLayout.Bands[0].Summaries[0].DisplayFormat = "SUM = {0}";
            ultraGrid1.DisplayLayout.Bands[0].Summaries[0].SummaryDisplayArea = Infragistics.Win.UltraWinGrid.SummaryDisplayAreas.BottomFixed | Infragistics.Win.UltraWinGrid.SummaryDisplayAreas.GroupByRowsFooter;
            ultraCalcManager1.SetCalcSettings(ultraTextEditor1, new CalcSettings("K", null, "sum([//ultraGrid1/Band 0/B])", "Value", CalcErrorIconAlignment.None));
        }

        private void ultraButton1_Click(object sender, EventArgs e)
        {
            ultraCalcManager1.SetCalcSettings(ultraTextEditor1, new CalcSettings("K", null, "sum([//ultraGrid1/Band 0/B])", "Value", CalcErrorIconAlignment.None));
            ultraCalcManager1.ReCalc();
        }

        private void ultraCalcManager1_CalculationsCompleted(object sender, EventArgs e)
        {
            ultraTextEditor1.Text = "The sum of items in column B = " + ultraTextEditor1.Text;
        }

        private void ultraGrid1_AfterCellUpdate(object sender, Infragistics.Win.UltraWinGrid.CellEventArgs e)
        {
            ultraCalcManager1.ReCalc();

        }

    }
}
